#include <QtWidgets>
#include "mainwindow.h"
#include "timetableprintform.h"

MainWindow::MainWindow(){

	//QTabWidget -------------------------------------------------------------------------------------------------------------------------------
	tab = new QTabWidget;
	tab->setUsesScrollButtons(true);				//needed for macOS. It is default already under Linux and Windows, but not macOS
	
	QVBoxLayout* zentralLayout=new QVBoxLayout();
	zentralLayout->addWidget(tab);
	
	QWidget* zentralWidget = new QWidget;
 	zentralWidget->setLayout(zentralLayout);
	setCentralWidget(zentralWidget);
	zentralWidget->setFocus();

	TimetablePrintForm dialog(this);
	if (dialog.exec()) {
	}
}

void MainWindow::closeEvent(QCloseEvent *event)
{
	event->accept();
}



