#ifndef TIMETABLEPRINTFORM_H
#define TIMETABLEPRINTFORM_H

#include <QDialog>
#include <QWebEngineView>

class QPushButton;


class TimetablePrintForm: public QDialog{
	Q_OBJECT
	
public:
	explicit TimetablePrintForm(QWidget* parent);
	~TimetablePrintForm();

private:
	QPushButton* pbPrintPreviewFull;
	QPushButton* pbClose;

	QWebEngineView *viewPreview2;

private slots:
	void printPreview();
	void printPreviewReadyToStart(bool ok);

	void printPreviewLoadStarted();
	void printPreviewLoadProgress(int progress);

};

#endif
